"""
Populate usermergeDB (see models.py) with test data to check the correctness of the usermerge application features.
"""
from django.contrib.auth.hashers import make_password
from usermerge.models import Admin, Platform, Registry, User

# Populate Admin table with test admins.
admin_hashed_password = make_password('sesame')
admin1 = Admin.objects.create(first_name = 'Νικόλαος', last_name = 'Παπασπύρου', email = 'nikolaos@softlab.ntua.gr',
                              username = 'nikolaos', password = admin_hashed_password)
admin2 = Admin.objects.create(first_name = 'Ευστάθιος', last_name = 'Ζάχος', email = 'eustathios@corelab.ntua.gr',
                              username = 'eustathios', password = admin_hashed_password)

# Populate Platform table with test platforms.
ece_ntua = Platform.objects.create(name = 'ECE-NTUA')
novice = Platform.objects.create(name = 'Novice')
grader = Platform.objects.create(name = 'Grader')
moodle = Platform.objects.create(name = 'Moodle')
plgrader = Platform.objects.create(name = 'PLgrader')

# Populate User table with test users.
user1 = User.objects.create(first_name = 'Γεώργιος', last_name = 'Καζελίδης', ece_id = '03199999',
                            email = 'gkazelid@undergraduate.ece.ntua.gr')
user2 = User.objects.create()

# Populate Registry table with test registries.
user_hashed_password = make_password('password')
registry1 = Registry.objects.create(user = user1, platform = novice, username = 'pi99b999', password = user_hashed_password)
registry2 = Registry.objects.create(user = user2, platform = moodle, username = 'moodler', password = user_hashed_password)
