"""usermerge URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.urls import re_path
from usermerge import views

urlpatterns = [
    re_path(r'^login/default/', views.show_default_login_page, name = 'default_login'),
    re_path(r'^login/submit/', views.log_in, name = 'submit_login'),
    re_path(r'^home/user/', views.show_user_home_page, name = 'user_home'),
    re_path(r'^home/admin/', views.show_admin_home_page, name = 'admin_home'),
    re_path(r'^logout/', views.log_out, name = 'logout'),
]
